package gmt.protocol.ext.VO;

import java.util.ArrayList;
import java.util.List;

public class ExtMsg_STT01VO {
	private String msg;
	private String packetType;
	private List<Integer> AISMsgCntList;    //AIS 메시지별 수신 카운트(분당)  array[1..27] of Integer;
	
	public ExtMsg_STT01VO() {
		this.msg = "";
		this.packetType = "";
		this.AISMsgCntList = new ArrayList<Integer>();
	}	
	
	public String getMsg() {
		return msg;
	}
	public void setMsg(String msg) {
		this.msg = msg;
	}
	public String getPacketType() {
		return packetType;
	}
	public void setPacketType(String packetType) {
		this.packetType = packetType;
	}
	public List<Integer> getAISMsgCntList(){
		return AISMsgCntList;
	}
	public void ClearList() {
		if (this.AISMsgCntList != null)
			this.AISMsgCntList.clear();
	}
	public void addList(int AISMsgCnt) {
		if (this.AISMsgCntList != null)
			this.AISMsgCntList.add(AISMsgCnt);
	}	
    //{Todo : List Add 핸들링 방법 결정 후 작업 필요}	
}
